<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.ExpertImgMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.ExpertImg">
        <id column="id" property="id" />
        <result column="expert_id" property="expertId" />
        <result column="expert_code" property="expertCode" />
        <result column="user_id" property="userId" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="img_type" property="imgType" />
        <result column="img_description" property="imgDescription" />
        <result column="img_sort" property="imgSort" />
        <result column="img_url" property="imgUrl" />
        <result column="add_explanation" property="addExplanation" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
        <result column="promote_type" property="promoteType" />

    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, expert_id ,expert_code,user_id, delete_flag,img_type, img_description, img_sort, img_url,add_explanation,created_time, updated_time,promote_type
    </sql>

</mapper>
